multi-db compatible with wpmu 3.0.1 ?

Hi,
I just downloaded the latest version of multi-db and my first go at getting it to work was a no go. Then I got to thinking that it might not even be compatible with the version of wpmu I am using, can you please tell me if I can in fact use it with wpmu 3.0.1 ?

If yes, can you please tell me is there step by step instructions explaining everything I need to do to set it up? I thought I had everything working fine, but when I visit the main site or the admin I am getting a cannot connect to database error. I am thinking I am going to have to start over at this point. This is for a new set up so I did not loose any data.

Thanks for any feedback you can give me.

Tony V